Mandrake Linux Security Advisory : shadow-utils (MDKSA-2004:126)

Medium Nessus Plugin ID 15637


The remote Mandrake Linux host is missing a security update.


A vulnerability in the shadow suite was discovered by Martin Schulze that can be exploited by local users to bypass certain security restrictions due to an input validation error in the passwd_check() function. This function is used by the chfn and chsh tools.

The updated packages have been patched to prevent this problem.


Update the affected shadow-utils package.

See Also

Plugin Details

Severity: Medium

ID: 15637

File Name: mandrake_MDKSA-2004-126.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/11/05

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:shadow-utils, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/11/04

Reference Information

CVE: CVE-2004-1001

MDKSA: 2004:126